AOZ Studio Beta - Bug #330

shared and global do not seem to work for Arrays
04/05/2020 09:42 AM - Tobias Franke
Target version:

Affected version: 0.9.8.1

Description

| Have a simple Example, where i want to declare an Array to draw Clouds with a Procedure:

// Setup the Clouds
dim dCloudX(3)

dim dCloudY(3)

dim dCloudSpeed(3)

dCloudX(0) = 900
dCloudY(0) = 150
dCloudSpeed(0) = 3

L]

// Draw the Clouds
DRAWCLOUDI0]
DRAWCLOUDI[1]
DRAWCLOUDI2]

[.]

procedure DRAWCLOUD]iCloud]
shared dCloudX

shared dCloudY

shared dCloudSpeed

shared iScrollSpeed

shared dwidth

if dCloudX (iCloud) > =500

dCloudX (iCloud) = dCloudX (iCloud) - ((iScrollSpeed / dCloudSpeed (iCloud))
else

dCloudX (iCloud) = dwidth
end if

bob 40+iCloud, dCloudX(iCloud), dCloudY (iCloud), 40+iCloud
end proc

When i Call the DrawClouds Procedure and i try to access the Arrays with "Shared" i get the Compiler Message "Non Dimensionned
array" every time i access dCloudX, dCloudY and dCloudSpeed.

| Also tried to declare the Arrays as "global" but i get the same error Message

History

#1 - 04/05/2020 05:30 PM - David Baldwin

Hi Tobias, when you share arrays (or make them global), they need to be written like this -> dCloudX(), dCloudY() etc.

#2 - 04/08/2020 08:20 AM - Tobias Franke

- Status changed from New to Closed

05/19/2024 12




Ok, thanks. Sorry, My Fault...
